**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/21.1/documents/document-events/create-document-event.md

# Create Document Event



<Endpoint path="/api/{version}/objects/documents/{document_id}/versions/{major_version}/{minor_version}/events" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{document_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "event_type__v=distribution__v" \
-d "event_subtype__v=approved_email__v" \
-d "classification__v=download__v" \
-d "external_id__v=1234"
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0/events

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault logs the document event.



---

**Previous:** [Retrieve Document Event Subtype Metadata](/safety/vault-api/api-reference/21.1/documents/document-events/retrieve-document-event-subtype-metadata)  
**Next:** [Retrieve Document Events](/safety/vault-api/api-reference/21.1/documents/document-events/retrieve-document-events)